"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteEntityManager = exports.setEntityManager = exports.getEntityManager = void 0;
const typeorm_als_constants_1 = require("./typeorm-als.constants");
const typeorm_1 = require("@nestjs/typeorm");
function getEntityManagerKey(connection) {
    return typeorm_1.getConnectionPrefix(connection) + typeorm_als_constants_1.ENTITY_MANAGER;
}
function getEntityManager(store, connection) {
    const manager = store.get(getEntityManagerKey(connection));
    if (!manager) {
        return null;
    }
    return manager;
}
exports.getEntityManager = getEntityManager;
function setEntityManager(store, connection, entityManager) {
    store.set(getEntityManagerKey(connection), entityManager);
}
exports.setEntityManager = setEntityManager;
function deleteEntityManager(store, connection) {
    store.delete(getEntityManagerKey(connection));
}
exports.deleteEntityManager = deleteEntityManager;
